Subject: RE: Re[2]: too many "Out of Office AutoReply"

From: Ashutosh Agarwal <[email-masked]>
Date: Fri, 29 Jun 2001 23:05:18 +0530

I have noticed that for the past few days , the IETF has been flooded with
these  so called "OUT OF OFFICE AUTOREPLY"......debate.
But don't you ppl in IETF think that these mails are a way to intimidate the
sender that the person to whom you are sending the mail is out of office or
something......why do we make every small thing such a big issue?
can we not use this medium(IETF) for someting better?

I personally would like to receive some kind of ACK from the person whom I
am trying to send a mail....so that I am rest assured that the mail has
reached him....I agree that in case a mail does not reach the concerned ID
we do get a mailer-deamon normally...yet i prefer this interaction/....

SO LETS STOP THIS DISCUSSION RIGHT HERE...AND USE THE IETF FOR SOMETHING
BETTER

Ashutosh Agarwal
[email-masked]
I trust I make myself obscure

> ----------
> From: 	Theodore Tso[SMTP:[email-masked]]
> Sent: 	Friday, June 29, 2001 06:20 PM
> To: 	Gene Gaines
> Cc: 	David Lemson; Keith Moore; ietf
> Subject: 	Re: Re[2]: too many "Out of Office AutoReply"
> 
> On Fri, Jun 29, 2001 at 04:08:20AM -0400, Gene Gaines wrote:
> > Why in god's name would any email program worth 2 cents
> > not have this feature?
> 
> That's easy; for a long time (although this seems to be less true
> today), Microsoft apparently had a strong bias of trying very hard to
> hire the best and the brightest --- of people fresh out of college.
> Heaven forfend that they actually hire people with industry
> experience.
> 
> As a result, a lot of things which most people would consider common
> sense and common practice don't actually happen until after the first
> couple of versions of the program are released and people scream
> bloody murder.  (After all, good vacation hueristics have been around
> for well over a decade.)  
> 
> However, when MS Exchange finally has this feature, no doubt their
> marketing folks will trumpet how they "invented" it.  After all, this
> is the sort of thing which is why they claim they need the "freedom to
> innovate".
> 
> 						- Ted
>

---

From: [email-masked]
Date: Fri, 29 Jun 2001 14:14:34 -0400

> am trying to send a mail....so that I am rest assured that the mail has

Some of us do *NOT* like getting 15 or 20 such messages from people we have
never heard of, just because we post to the IETF or Bugtraq or Incidents
mailing lists.  How many responses did you get to *your* posting?  The IETF
list is relatively "clean" this week - but I *have* had days when I have
gotten over *200* of these "Out of Clue AutoReply" in *ONE DAY*.

And not one single solitary one was a result of a direct mail to that
recipient - all 200 were nice replies to things I posted to the list.
Over and over and over.  I post 4 times in one day, these things are
nice enough to tell me 4 times that day that yes, George is STILL out
of the office and will be for the next week.  Never mind that it:

1) it SHOULD keep track of who it replied to and not reply AGAIN for
this invocation of "out of office".

2) it SHOULD NOT reply to mailing list postings.

There *is* RFC2298 on how to get an ACK from the mail system.
And guess what - it specifically says to not auto-reply if the origin seems
to be a mailing list.  From section 2.1:

   MDNs SHOULD NOT be sent automatically if the address in the
   Disposition-Notification-To header differs from the address in the
   Return-Path header (see RFC 822 [2]).  In this case, confirmation
   from the user SHOULD be obtained, if possible.  If obtaining consent
   is not possible (e.g., because the user is not online at the time),
   then an MDN SHOULD NOT be sent.

/Valdis

---

From: Lloyd Wood <[email-masked]>
Date: Sat, 30 Jun 2001 17:20:41 +0100 (BST)

On Fri, 29 Jun 2001, Ashutosh Agarwal wrote:

> reached him....

Disposition-Notification-To: does that. I think it can be an invasion
of privacy, since a mail agent responding to it is telling you when
the mail is read.

An ack that the mail is received != an ack that a mail has reached the
person and been read, of course.

> SO LETS STOP THIS DISCUSSION RIGHT HERE...AND USE THE IETF FOR SOMETHING

The IETF is for discussing problems.
Occasionally, this has been known to lead to resolving problems.

L.

but not recently, eh?

<[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>